import java.io.*;
import java.net.*;
import java.util.*;

public class NetClient
{
 static Client client;

 public static void main( String[] args )
 {
  try {
        client= new Client( "sun", 5001, "testSTAT", "1 2 3 4 5" );
  }
  catch( Exception e) {
     System.err.println("Exception: " + e);
  }
 }
}


class Client
{
 Socket socket;
 DataOutputStream out;

 Client( String host, int port, String statName, String statValues ) throws Exception
 {
  socket= new Socket( host, port );
  out= new DataOutputStream( new BufferedOutputStream(socket.getOutputStream()) );

  out.write( statName.getBytes() );
  out.flush();

  while( true )
  {
   out.write( statValues.getBytes() );
   out.flush();
   Thread.sleep( 10000 );
  }
 }
}

