@ECHO OFF

::
:: Batch script to launch the jvmstat command.
::

if not !%JVMSTAT_HOME%==! GOTO HOMESET

:: get the full path name in short path form
SET SCRIPT_DIR=%~fs0%

:: substitute \bat\<cmd> with null to get the jvmstat home directory
SET JVMSTAT_HOME=%SCRIPT_DIR:\bat\jvmstat.cmd=%

:HOMESET

SET JVMSTAT_JAR=%JVMSTAT_HOME%\classes\jvmstat.jar

:: %0 no longer needed, so shift it out to allow one more
:: parameter. %* is available in winnt and later, but doesn't
:: work in earlier windows environemnts.
::
shift

:: Launch the command
::
java %D64% %SERVER% %VMARGS% -jar %JVMSTAT_JAR% %0 %1 %2 %3 %4 %5 %6 %7 %8 %9

:: Unset any environment variables set in this script
::
if !%SCRIPT_DIR%==! GOTO EXIT1
:: only unset these if they were set above
SET SCRIPT_DIR=
SET JVMSTAT_HOME=

:EXIT1
SET JVMSTAT_JAR=
